Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class TldEnum

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.Enum
          com.verisign.epp.codec.suggestion.util.TldEnum

All Implemented Interfaces:
  java.io.Serializable

    public class TldEnum

extends Enum

An enumeration of supported tlds. This is used only to generate random commands for the unit test. The server can add or remove tlds so this list is not authoritative.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.suggestion.util.Enum
`key, NONE, NONE_STRING`

Constructor Summary
`TldEnum()` Constructor.
`TldEnum(java.lang.String aValue)` Constructor.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String[]` | `getData()` Get the possible enum data.
`static java.lang.String` | `getRandomString()` Return a random enum value.

Methods inherited from class com.verisign.epp.codec.suggestion.util.Enum
`equals, get, isSet, set, set, toLogString, toString, unset`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TldEnum

    public TldEnum()

  Constructor.

### TldEnum

    public TldEnum(java.lang.String aValue)
            throws InvalidValueException

  Constructor.

  Parameters:
    `aValue` - enum value
  Throws:
    `InvalidValueException`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in class `Enum`
  Throws:
    `java.lang.CloneNotSupportedException`

### getData

    public java.lang.String[] getData()

  Description copied from class: `Enum`
  Get the possible enum data.

  Specified by:
    `getData` in class `Enum`
  Returns:
    enum data

### getRandomString

    public static java.lang.String getRandomString()

  Return a random enum value.

  Returns:
    a random enum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.